Skip to content

Get the supported carriers

Request

This returns the carriers that are currently supported for automated tracking in the online model. The carrier name should be shown to users but the code should be submitted to the /track endpoint when submitting tracking details. Likewise, when showing a transaction to the user, the carrier field stored with the transaction should be used to index these carriers and show the human-readable name of the carrier to the user, if this index is found.

Security
APIKey
GET
/api/v1/supported_carriers
curl -i -X GET \
  -u '<API_KEY>:​' \
  https://dev.stage.trustap.com/api/v1/supported_carriers

Responses

OK

Bodyapplication/json
Array [
codestringrequired
namestringrequired
]
Response
[ { "code": "an-post", "name": "An Post" }, { "code": "fedex", "name": "FedEx" }, { "code": "ups", "name": "UPS" }, { "code": "usps", "name": "USPS" } ]